import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { CarreraProgramaController } from './carrera-programa.controller';
import { CarreraProgramaService } from './carrera-programa.service';
import { CarreraPrograma } from './entity/carrera-programa.entity';
import { CarritoModule } from 'src/carrito/carrito.module';
import { ProgramaModule } from 'src/programa/programa.module';

@Module({
  imports: [
    TypeOrmModule.forFeature([CarreraPrograma]),
    CarritoModule,
    ProgramaModule,
  ],
  controllers: [CarreraProgramaController],
  providers: [CarreraProgramaService],
})
export class CarreraProgramaModule {}
